FROM python:3.11.4-slim-buster AS builder

WORKDIR /var/www/html/

COPY . .

RUN pip install -r requirements.txt

## aidhaan pls fix having to require this.
ENV EMAIL_HOSTNAME ""
ENV EMAIL_PORT "12312"
ENV EMAIL_USERNAME ""
ENV EMAIL_PASSWORD ""

RUN python3 manage.py collectstatic

VOLUME /var/www/html/staticfiles/

CMD gunicorn apibase.wsgi:application --bind 0.0.0.0:5000 --workers=4
